#!/bin/bash

#############
# 4 Epoch #
#############
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' '#'
echo "Trial 1 4 Epoch"
python -u attack_retriever.py --config retriever_ablation_configs/contriever_vicuna15_xbox_4_epochs.yaml --device cuda:1 --seed 42
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 2 4 Epoch"
python -u attack_retriever.py --config retriever_ablation_configs/contriever_vicuna15_xbox_4_epochs.yaml --device cuda:1 --seed 13
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 3 4 Epoch"
python -u attack_retriever.py --config retriever_ablation_configs/contriever_vicuna15_xbox_4_epochs.yaml --device cuda:1 --seed 20
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

#############
# 8 Epoch   #
#############
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' '#'
echo "Trial 1 8 Epoch"
python -u attack_retriever.py --config retriever_ablation_configs/contriever_vicuna15_xbox_8_epochs.yaml --device cuda:1 --seed 42
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 2 8 Epoch"
python -u attack_retriever.py --config retriever_ablation_configs/contriever_vicuna15_xbox_8_epochs.yaml --device cuda:1 --seed 13
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 3 8 Epoch"
python -u attack_retriever.py --config retriever_ablation_configs/contriever_vicuna15_xbox_8_epochs.yaml --device cuda:1 --seed 20
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -


#############
# 16 Epoch #
#############
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' '#'
echo "Trial 1 16 Epoch"
python -u attack_retriever.py --config retriever_ablation_configs/contriever_vicuna15_xbox_16_epochs.yaml --device cuda:1 --seed 42
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 2 16 Epoch"
python -u attack_retriever.py --config retriever_ablation_configs/contriever_vicuna15_xbox_16_epochs.yaml --device cuda:1 --seed 13
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 3 16 Epoch"
python -u attack_retriever.py --config retriever_ablation_configs/contriever_vicuna15_xbox_16_epochs.yaml --device cuda:1 --seed 20
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -


#############
# 4 Epoch #
#############
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' '#'
echo "Trial 1 32 Epoch"
python -u attack_retriever.py --config retriever_ablation_configs/contriever_vicuna15_xbox_32_epochs.yaml --device cuda:1 --seed 42
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 2 32 Epoch"
python -u attack_retriever.py --config retriever_ablation_configs/contriever_vicuna15_xbox_32_epochs.yaml --device cuda:1 --seed 13
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 3 32 Epoch"
python -u attack_retriever.py --config retriever_ablation_configs/contriever_vicuna15_xbox_32_epochs.yaml --device cuda:1 --seed 20
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -
