#!/bin/bash

cd ../../
# AMAZON

# FROM GEMMA 7B TO VICUNA 7B

# CUDA_VISIBLE_DEVICES=1 python generate_outputs.py --seed 42 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_42.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED42_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_vicuna7b_amazon_hate_prefix.yaml  
# CUDA_VISIBLE_DEVICES=1 python generate_outputs.py --seed 20 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_20.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED20_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_vicuna7b_amazon_hate_prefix.yaml
# CUDA_VISIBLE_DEVICES=1 python generate_outputs.py --seed 13 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_13.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED13_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_vicuna7b_amazon_hate_prefix.yaml

# FROM GEMMA 7B TO Gemma 2B

# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 42 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_42.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED42_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma2b_amazon_hate_prefix.yaml  
# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 20 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_20.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED20_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma2b_amazon_hate_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 13 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_13.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED13_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma2b_amazon_hate_prefix.yaml

# FROM GEMMA 7B TO Llama3 8B

# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 42 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_42.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED42_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_llama3_amazon_hate_prefixG7b.yaml  
# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 20 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_20.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED20_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_llama3_amazon_hate_prefixG7b.yaml
# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 13 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_13.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED13_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_llama3_amazon_hate_prefixG7b.yaml

# FROM VICUNA 7B TO GEMMA 7B

# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 42 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_42.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED42_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma7b_amazon_hate_prefix.yaml  

# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 20 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_20.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED20_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma7b_amazon_hate_prefix.yaml

# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 13 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_13.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED13_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma7b_amazon_hate_prefix.yaml

# FROM VICUNA 7B TO GEMMA 2B

# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 42 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_42.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED42_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma2b_amazon_hate_prefixV7b.yaml  
# # 
# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 20 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_20.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED20_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma2b_amazon_hate_prefixV7b.yaml
# # 
# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 13 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_13.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED13_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma2b_amazon_hate_prefixV7b.yaml

# FROM VICUNA 7B TO Llama3 8B

# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 42 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_42.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED42_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_llama3_amazon_hate_prefixV7b.yaml 
# # # 
# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 20 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_20.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED20_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_llama3_amazon_hate_prefixV7b.yaml
# # # 
# CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 13 --existing_ret_atk contriever_passages/hate_amazon/ret_atk_13.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED13_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_llama3_amazon_hate_prefixV7b.yaml


