#!/bin/bash

# Seed 13 - prefixes

CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_vicuna7b_amazon_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_vicuna7b_iphone_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_vicuna7b_netflix_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_vicuna7b_spotify_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_vicuna7b_xbox_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_vicuna7b_lebron-james_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_vicuna7b_marilyn-monroe_email_suffix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma2b_amazon_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma2b_iphone_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma2b_netflix_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma2b_spotify_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma2b_xbox_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma2b_lebron-james_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma2b_marilyn-monroe_email_suffix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_llama3_amazon_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_llama3_iphone_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_llama3_netflix_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_llama3_spotify_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_llama3_xbox_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_llama3_lebron-james_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_llama3_marilyn-monroe_email_suffix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma7b_amazon_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma7b_iphone_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma7b_netflix_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma7b_spotify_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma7b_xbox_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma7b_lebron-james_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 13 --config configs/no_attack_configs/contriever_gemma7b_marilyn-monroe_email_suffix.yaml 


# Seed 20 - prefixes

CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_vicuna7b_amazon_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_vicuna7b_iphone_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_vicuna7b_netflix_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_vicuna7b_spotify_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 21 --config configs/no_attack_configs/contriever_vicuna7b_xbox_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_vicuna7b_lebron-james_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_vicuna7b_marilyn-monroe_email_suffix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_gemma2b_amazon_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_gemma2b_iphone_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_gemma2b_netflix_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_gemma2b_spotify_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 21 --config configs/no_attack_configs/contriever_gemma2b_xbox_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_gemma2b_lebron-james_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_gemma2b_marilyn-monroe_email_suffix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_llama3_amazon_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_llama3_iphone_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_llama3_netflix_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_llama3_spotify_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 21 --config configs/no_attack_configs/contriever_llama3_xbox_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_llama3_lebron-james_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_llama3_marilyn-monroe_email_suffix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_gemma7b_amazon_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_gemma7b_iphone_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_gemma7b_netflix_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_gemma7b_spotify_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 21 --config configs/no_attack_configs/contriever_gemma7b_xbox_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_gemma7b_lebron-james_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 20 --config configs/no_attack_configs/contriever_gemma7b_marilyn-monroe_email_suffix.yaml 


# Seed 42 - prefixes

CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_vicuna7b_amazon_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_vicuna7b_iphone_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_vicuna7b_netflix_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_vicuna7b_spotify_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_vicuna7b_xbox_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_vicuna7b_lebron-james_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_vicuna7b_marilyn-monroe_email_suffix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma2b_amazon_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma2b_iphone_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma2b_netflix_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma2b_spotify_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma2b_xbox_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma2b_lebron-james_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma2b_marilyn-monroe_email_suffix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_llama3_amazon_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_llama3_iphone_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_llama3_netflix_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_llama3_spotify_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_llama3_xbox_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_llama3_lebron-james_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_llama3_marilyn-monroe_email_suffix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma7b_amazon_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma7b_iphone_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma7b_netflix_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma7b_spotify_dos_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma7b_xbox_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma7b_lebron-james_hate_prefix.yaml 
CUDA_VISIBLE_DEVICES=1 python attack_local.py --noatk --seed 42 --config configs/no_attack_configs/contriever_gemma7b_marilyn-monroe_email_suffix.yaml 

