#!/bin/bash

# Seed 13 - prefixes

CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_vicuna7b_amazon_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_amazon/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_vicuna7b_iphone_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_iphone/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_vicuna7b_netflix_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_netflix/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_vicuna7b_spotify_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_spotify/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_vicuna7b_xbox_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_xbox/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_vicuna7b_lebron-james_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_lebron/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_vicuna7b_marilyn-monroe_email_suffix.yaml --existing_ret_atk contriever_passages/privacy_marilyn/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma2b_amazon_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_amazon/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma2b_iphone_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_iphone/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma2b_netflix_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_netflix/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma2b_spotify_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_spotify/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma2b_xbox_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_xbox/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma2b_lebron-james_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_lebron/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma2b_marilyn-monroe_email_suffix.yaml --existing_ret_atk contriever_passages/privacy_marilyn/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_llama3_amazon_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_amazon/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_llama3_iphone_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_iphone/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_llama3_netflix_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_netflix/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_llama3_spotify_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_spotify/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_llama3_xbox_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_xbox/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_llama3_lebron-james_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_lebron/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_llama3_marilyn-monroe_email_suffix.yaml --existing_ret_atk contriever_passages/privacy_marilyn/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma7b_amazon_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_amazon/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma7b_iphone_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_iphone/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma7b_netflix_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_netflix/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma7b_spotify_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_spotify/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma7b_xbox_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_xbox/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma7b_lebron-james_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_lebron/ret_atk_13.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 13 --config configs/no_gcg_configs/contriever_gemma7b_marilyn-monroe_email_suffix.yaml --existing_ret_atk contriever_passages/privacy_marilyn/ret_atk_13.yaml


# Seed 20 - prefixes

CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_vicuna7b_amazon_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_amazon/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_vicuna7b_iphone_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_iphone/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_vicuna7b_netflix_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_netflix/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_vicuna7b_spotify_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_spotify/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --config configs/no_gcg_configs/contriever_vicuna7b_xbox_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_xbox/ret_atk_21.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_vicuna7b_lebron-james_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_lebron/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_vicuna7b_marilyn-monroe_email_suffix.yaml --existing_ret_atk contriever_passages/privacy_marilyn/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_gemma2b_amazon_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_amazon/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_gemma2b_iphone_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_iphone/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_gemma2b_netflix_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_netflix/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_gemma2b_spotify_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_spotify/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --config configs/no_gcg_configs/contriever_gemma2b_xbox_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_xbox/ret_atk_21.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_gemma2b_lebron-james_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_lebron/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_gemma2b_marilyn-monroe_email_suffix.yaml --existing_ret_atk contriever_passages/privacy_marilyn/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_llama3_amazon_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_amazon/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_llama3_iphone_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_iphone/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_llama3_netflix_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_netflix/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_llama3_spotify_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_spotify/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --config configs/no_gcg_configs/contriever_llama3_xbox_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_xbox/ret_atk_21.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_llama3_lebron-james_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_lebron/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_llama3_marilyn-monroe_email_suffix.yaml --existing_ret_atk contriever_passages/privacy_marilyn/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_gemma7b_amazon_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_amazon/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_gemma7b_iphone_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_iphone/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_gemma7b_netflix_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_netflix/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_gemma7b_spotify_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_spotify/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --config configs/no_gcg_configs/contriever_gemma7b_xbox_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_xbox/ret_atk_21.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_gemma7b_lebron-james_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_lebron/ret_atk_20.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 20 --config configs/no_gcg_configs/contriever_gemma7b_marilyn-monroe_email_suffix.yaml --existing_ret_atk contriever_passages/privacy_marilyn/ret_atk_20.yaml


# Seed 42 - prefixes

CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_vicuna7b_amazon_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_amazon/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_vicuna7b_iphone_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_iphone/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_vicuna7b_netflix_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_netflix/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_vicuna7b_spotify_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_spotify/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_vicuna7b_xbox_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_xbox/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_vicuna7b_lebron-james_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_lebron/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_vicuna7b_marilyn-monroe_email_suffix.yaml --existing_ret_atk contriever_passages/privacy_marilyn/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma2b_amazon_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_amazon/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma2b_iphone_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_iphone/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma2b_netflix_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_netflix/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma2b_spotify_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_spotify/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma2b_xbox_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_xbox/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma2b_lebron-james_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_lebron/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma2b_marilyn-monroe_email_suffix.yaml --existing_ret_atk contriever_passages/privacy_marilyn/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_llama3_amazon_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_amazon/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_llama3_iphone_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_iphone/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_llama3_netflix_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_netflix/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_llama3_spotify_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_spotify/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_llama3_xbox_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_xbox/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_llama3_lebron-james_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_lebron/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_llama3_marilyn-monroe_email_suffix.yaml --existing_ret_atk contriever_passages/privacy_marilyn/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma7b_amazon_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_amazon/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma7b_iphone_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_iphone/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma7b_netflix_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_netflix/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma7b_spotify_dos_prefix.yaml --existing_ret_atk contriever_passages/dos_spotify/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma7b_xbox_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_xbox/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma7b_lebron-james_hate_prefix.yaml --existing_ret_atk contriever_passages/hate_lebron/ret_atk_42.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --config configs/no_gcg_configs/contriever_gemma7b_marilyn-monroe_email_suffix.yaml --existing_ret_atk contriever_passages/privacy_marilyn/ret_atk_42.yaml


# Trheat experiment

# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 11 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/no_gcg_configs/contriever_vicuna7b_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 11 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/no_gcg_configs/contriever_vicuna13b_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 11 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/no_gcg_configs/contriever_gemma2b_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 11 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/no_gcg_configs/contriever_gemma7b_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 11 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/no_gcg_configs/contriever_llama2_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 11 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/no_gcg_configs/contriever_llama3_bmw_threat_prefix.yaml

# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_21.yaml --config configs/no_gcg_configs/contriever_vicuna7b_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_21.yaml --config configs/no_gcg_configs/contriever_vicuna13b_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_21.yaml --config configs/no_gcg_configs/contriever_gemma2b_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_21.yaml --config configs/no_gcg_configs/contriever_gemma7b_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_21.yaml --config configs/no_gcg_configs/contriever_llama2_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_21.yaml --config configs/no_gcg_configs/contriever_llama3_bmw_threat_prefix.yaml

# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_42.yaml --config configs/no_gcg_configs/contriever_vicuna7b_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_42.yaml --config configs/no_gcg_configs/contriever_vicuna13b_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_42.yaml --config configs/no_gcg_configs/contriever_gemma2b_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_42.yaml --config configs/no_gcg_configs/contriever_gemma7b_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_42.yaml --config configs/no_gcg_configs/contriever_llama2_bmw_threat_prefix.yaml
# CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_42.yaml --config configs/no_gcg_configs/contriever_llama3_bmw_threat_prefix.yaml
