#!/bin/bash

# Threatening Objective LLAMA3 

# With MCG
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_42.yaml --config configs/threatening_test_configs/contriever_llama3_bmw_hate_threat.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_21.yaml --config configs/threatening_test_configs/contriever_llama3_bmw_hate_threat.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 11 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/threatening_test_configs/contriever_llama3_bmw_hate_threat.yaml

# Without MCG
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 11 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/no_gcg_configs/contriever_llama3_bmw_threat_prefix.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_21.yaml --config configs/no_gcg_configs/contriever_llama3_bmw_threat_prefix.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_42.yaml --config configs/no_gcg_configs/contriever_llama3_bmw_threat_prefix.yaml


# VICUNA 15-7B INSULT

CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 11 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/threatening_test_configs/contriever_vicuna15_bmw_hate_insult.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/threatening_test_configs/contriever_vicuna15_bmw_hate_insult.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/threatening_test_configs/contriever_vicuna15_bmw_hate_insult.yaml

# VICUNA 15-7B INSULT no gcg

CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 11 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/threatening_test_configs/contriever_vicuna15_bmw_hate_insult-nogcg.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 21 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/threatening_test_configs/contriever_vicuna15_bmw_hate_insult-nogcg.yaml
CUDA_VISIBLE_DEVICES=0 python attack_local.py --seed 42 --existing_ret_atk contriever_passages/hate_bmw/ret_atk_11.yaml --config configs/threatening_test_configs/contriever_vicuna15_bmw_hate_insult-nogcg.yaml