#!/bin/bash

#############
# 32 Tokens #
#############
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' '#'
echo "Trial 1 32 Tokens"
python -u attack_retriever.py --config ablation_configs/contriever_vicuna15_xbox_32_tokens.yaml --device cuda:1 --seed 42
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 2 32 Tokens"
python -u attack_retriever.py --config ablation_configs/contriever_vicuna15_xbox_32_tokens.yaml --device cuda:1 --seed 13
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 3 32 Tokens"
python -u attack_retriever.py --config ablation_configs/contriever_vicuna15_xbox_32_tokens.yaml --device cuda:1 --seed 20
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

#############
# 64 Tokens #
#############
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' '#'
echo "Trial 1 64 Tokens"
python -u attack_retriever.py --config ablation_configs/contriever_vicuna15_xbox_64_tokens.yaml --device cuda:1 --seed 42
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 2 64 Tokens"
python -u attack_retriever.py --config ablation_configs/contriever_vicuna15_xbox_64_tokens.yaml --device cuda:1 --seed 13
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 3 64 Tokens"
python -u attack_retriever.py --config ablation_configs/contriever_vicuna15_xbox_64_tokens.yaml --device cuda:1 --seed 20
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -


#############
# 128 Tokens #
#############
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' '#'
echo "Trial 1 128 Tokens"
python -u attack_retriever.py --config ablation_configs/contriever_vicuna15_xbox_128_tokens.yaml --device cuda:1 --seed 42
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 2 128 Tokens"
python -u attack_retriever.py --config ablation_configs/contriever_vicuna15_xbox_128_tokens.yaml --device cuda:1 --seed 13
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 3 128 Tokens"
python -u attack_retriever.py --config ablation_configs/contriever_vicuna15_xbox_128_tokens.yaml --device cuda:1 --seed 20
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -


#############
# 256 Tokens #
#############
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' '#'
echo "Trial 1 256 Tokens"
python -u attack_retriever.py --config ablation_configs/contriever_vicuna15_xbox_256_tokens.yaml --device cuda:1 --seed 42
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 2 256 Tokens"
python -u attack_retriever.py --config ablation_configs/contriever_vicuna15_xbox_256_tokens.yaml --device cuda:1 --seed 13
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -

echo "Trial 3 256 Tokens"
python -u attack_retriever.py --config ablation_configs/contriever_vicuna15_xbox_256_tokens.yaml --device cuda:1 --seed 20
printf '%*s\n' "${COLUMNS:-$(tput cols)}" '' | tr ' ' -
