#!/bin/bash


# AMAZON

# FROM GEMMA 7B TO VICUNA 7B

CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 42 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED42_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED42_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_vicuna7b_amazon_hate_prefix.yaml  
CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 20 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED20_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED20_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_vicuna7b_amazon_hate_prefix.yaml
CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 13 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED13_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERamazon_SEED13_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_vicuna7b_amazon_hate_prefix.yaml

# FROM VICUNA 7B TO GEMMA 7B

CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 42 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED42_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED42_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma7b_amazon_hate_prefix.yaml  
CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 20 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED20_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED20_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma7b_amazon_hate_prefix.yaml
CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 13 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED13_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERamazon_SEED13_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma7b_amazon_hate_prefix.yaml


# XBOX

# FROM GEMMA 7B TO VICUNA 7B

CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 66 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERxbox_SEED66_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERxbox_SEED66_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_vicuna7b_xbox_hate_prefix.yaml  
CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 21 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERxbox_SEED21_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERxbox_SEED21_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_vicuna7b_xbox_hate_prefix.yaml
CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 13 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERxbox_SEED13_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERxbox_SEED13_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_vicuna7b_xbox_hate_prefix.yaml

# FROM VICUNA 7B TO GEMMA 7B

CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 66 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERxbox_SEED66_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERxbox_SEED66_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma7b_xbox_hate_prefix.yaml  
CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 21 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERxbox_SEED21_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERxbox_SEED21_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma7b_xbox_hate_prefix.yaml
CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 13 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERxbox_SEED13_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERxbox_SEED13_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma7b_xbox_hate_prefix.yaml


# LEBRON

# FROM GEMMA 7B TO VICUNA 7B

CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 42 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERlebron-james_SEED42_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERlebron-james_SEED42_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_vicuna7b_lebron_hate_prefix.yaml  
CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 20 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERlebron-james_SEED20_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERlebron-james_SEED20_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_vicuna7b_lebron_hate_prefix.yaml
CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 13 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERlebron-james_SEED13_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENgemma7b_TRIGGERlebron-james_SEED13_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_vicuna7b_lebron_hate_prefix.yaml

# FROM VICUNA 7B TO GEMMA 7B

CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 42 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERlebron-james_SEED42_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERlebron-james_SEED42_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma7b_lebron_hate_prefix.yaml  
CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 20 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERlebron-james_SEED20_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERlebron-james_SEED20_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma7b_lebron_hate_prefix.yaml
CUDA_VISIBLE_DEVICES=0 python generate_outputs.py --seed 13 --existing_ret_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERlebron-james_SEED13_NOTESre-run_TRIAL0/ret_atk.yaml --existing_gen_atk /mnt/data/prj_rag/prj_rag/results/RETcontriever_GENvicuna7b-15_TRIGGERlebron-james_SEED13_NOTESre-run_TRIAL0/gen_atk.yaml --config configs/transfer_configs/transfer_generators/contriever_gemma7b_lebron_hate_prefix.yaml
